body {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    margin: 0;
    padding: 0;
    background: #f5f5f5;
    justify-content: center;
    min-height: 100vh;
}

header {
    position: absolute;
    top: 0;
    width: 100%;
    /* Add any additional styling for the header here */
}

.shopping-cart {
    width: 85%; /* Adjust this to your preference, smaller percentages will make the table narrower */
    margin: auto; /* This will center your table in the available space */
    background: #fff;
    font-size: 20px;
    padding: 40px;
    margin-top: 10%; /* Adjust this value as needed to create space between header and table */
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    /* You may add a max-width if you want to limit how wide the cart can get */
}
.total-row-mobile {
    display: none;
}

table {
    font-size: 20px;
    width: 100%;
    margin: 10px; /* Adds space above and below the table */
    border-collapse: collapse;
    table-layout: fixed;
}

thead th, tbody td {
    padding: 5px; /* Adjust padding to control space inside cells */
    border: 1px solid #ddd;
    font-size: 20px; /* Adjust font size to your preference */
}

thead th {
    background: #eee;
    text-align: center;
}

thead th:nth-child(1) { width: 15%; } /* Adjust the width as necessary */
thead th:nth-child(2) { width: 24%; }
thead th:nth-child(3) { width: 10%; }
thead th:nth-child(4) { width: 11%; }
thead th:nth-child(5) { width: 20%; }
thead th:nth-child(6) { width: 15%; }
thead th:nth-child(7) { width: 5%; }  /* Typically for the action column */
tbody td:nth-child(2) {text-align: left;}

tbody td {
    text-align: center;
}

tfoot td {
    padding: 20px;
    font-size: 20px;
}

.item img {
    width: 150px; /* Adjust height to control the image size */
    margin: 5px;
}


.item input[type="number"] {
    padding: 10px;
    font-size: 20px;
    border: 1px solid #ddd;
    width: 100%; /* Make the input take the full width of the cell */
    text-align: center;
    box-sizing: border-box; /* Include padding and border in the element's total width */
}

.item button.remove {
    font-size: 15px;
    font-weight: bold;
    padding: 9px;
    background-color: #ff4d4d;
    border: none;
    border-radius: 50%;
    color: #fff;
}

.actions button {
    padding: 15px 30px;
    background-color: #ff4d4d;
    margin-top: 20px;
    font-size: 20px;
    font-weight: bold;
    border: none;
    background: #333;
    color: #fff;
    cursor: pointer;
}
.total-row-mobile {
    display: none;
}
.actions button.continue-shopping {
    background: #ddd;
    color: #333;
}

button:hover {
    opacity: 0.85;
}
.totalprice{
    column-span: 5;
}
@media (max-width: 768px) {
    .shopping-cart {
        width: 90%; 
        padding: 0px;
        margin-top: 30%
    }
    .pret_unitar {
         display: none;
    }
    table {
        font-size: 15px;
        margin: 0;
    }
    
    thead th, tbody td {
        font-size: 15px; /* Adjust font size to your preference */
    }
    .item button.remove {
        font-size: 10px;
        font-weight: bold;
        padding: 4px;
        background-color: #ff4d4d;
        border: none;
        border-radius: 50%;
        color: #fff;
    }
    thead th:nth-child(5),
    /* Hide "PRET UNITAR" data cells */
    tbody td:nth-child(5) {
        display: none;
    }
    thead th:nth-child(1) { width: 20%; } /* Adjust the width as necessary */
    thead th:nth-child(2) { width: 35%; }
    thead th:nth-child(3) { width: 7%; }
    thead th:nth-child(4) { width: 11%; }
    thead th:nth-child(5) { width: 0%; }
    thead th:nth-child(6) { width: 15%; }
    thead th:nth-child(7) { width: 12%; }  /* Typically for the action column */
    tbody td:nth-child(2) {text-align: left;}
    .item img {
        width: 100%; /* Adjust height to control the image size */
        margin: 0px;
    }
    .item input[type="number"] {
        padding: 10px;
        font-size: 15px;
    }
    .total-row-desktop {
        display: none;
    }
    /* Show the mobile total row */
    .total-row-mobile {
        display: table-row;
    }
}
